# Microeconometrics
# Workbook 4
# Discrete Choice Models I
# Name:

rm(list=ls())
setwd("C:\\Users\\budzi\\Documents\\ME QPE\\2023\\Class 4") 
load("Forests.RData")


# Choice - which alternative has an individual chosen (1 is status quo)
# idx - ID to use in model
# Attributes:
  # NAT - passive protection of ecologically valuable forest
  # TRA - amount of trash in forests
  # INF - infrastructure in forests
  # FEE - annual cost of the program

# Individual specific
  # Age
  # Sex (1 is male)
  # ForArea - forest area near the place of residence 

## Exercise 1: Analyze preferences for the improvement in forest management in Poland

# Calculate how many individuals did not vote for any program (choose status quo)

# What is the average minimal cost of the program
  # For individuals who has chosen SQ
  # For other individuals 


# Estimate MNL model in which Choice is explained by attributes
  # Add alternative specific constant for status quo alternative


# Calculate WTP for the non-monetary attributes


## Exercise 2: Add ForArea into the model
  # Can it explain observed preference heterogeneity?
  # How does it affect WTP?


  # Does it explain differences in scale? 



## Exercise 3: Test IIA assumption 



## Exercise 4: Estimate Nested logit model
  # 1 nest with status quo, the other with the rest of the alternatives 
  # How did it change the estimates? 
    # For example, ASC for status quo?
    # WTPs? 

